## Get a technique **get** `/techniques/{techniqueId}` Returns the public definition for one technique, including its input and output schema used to start runs. ### Path Parameters - `techniqueId: string` Technique identifier or slug ### Returns - `inputs: array of object { id, name, type, 3 more }` - `id: string` Technique input or output identifier - `name: string` Technique input or output display name - `type: "imageUrl" or "videoUrl" or "audioUrl" or 2 more` Technique input or output media type - `"imageUrl"` - `"videoUrl"` - `"audioUrl"` - `"text"` - `"documentUrl"` - `description: optional string` Technique input or output description - `specified_aspect_ratio: optional string` Required aspect ratio - `specified_duration: optional number` Required duration in seconds - `name: string` Technique name - `outputs: array of object { id, name, type, 3 more }` - `id: string` Technique input or output identifier - `name: string` Technique input or output display name - `type: "imageUrl" or "videoUrl" or "audioUrl" or 2 more` Technique input or output media type - `"imageUrl"` - `"videoUrl"` - `"audioUrl"` - `"text"` - `"documentUrl"` - `description: optional string` Technique input or output description - `specified_aspect_ratio: optional string` Required aspect ratio - `specified_duration: optional number` Required duration in seconds - `run_cost: number` - `technique_id: string` Technique identifier - `description: optional string` Technique description ### Example ```http curl https://app.flora.ai/api/v1/techniques/$TECHNIQUE_ID \ -H "Authorization: Bearer $FLORA_API_KEY" ``` #### Response ```json { "inputs": [ { "id": "prompt", "name": "Prompt", "type": "imageUrl", "description": "Describe the desired image.", "specified_aspect_ratio": "1:1", "specified_duration": 0 } ], "name": "Editorial Image Grid", "outputs": [ { "id": "prompt", "name": "Prompt", "type": "imageUrl", "description": "Describe the desired image.", "specified_aspect_ratio": "1:1", "specified_duration": 0 } ], "run_cost": 0, "technique_id": "tech_abcd1234", "description": "Generate a cohesive editorial image grid." } ```